﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace XamDataChartCrosshairPositionBinding
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public DateTime MinDate { get; set; }
        public DateTime MaxDate { get; set; }

        public int MinValue { get; set; }
        public int MaxValue { get; set; }

        public Point CursorPosition { get; set; }

        

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i<25; i++)
            {
                Data.Add(new SampleData()
                {
                    Date = DateTime.Today.AddDays(i),
                    Value = i
                });
            }

            MinDate = Data.First().Date;
            MaxDate = Data.Last().Date;

            MinValue = 0;
            MaxValue = 25;

            SampleData sd = Data[10];
                        
            double x = (double)(sd.Date.Ticks - MinDate.Ticks) / (MaxDate.Ticks - MinDate.Ticks);            

            this.CursorPosition = new Point(x, 0);
        }
    }

    public class SampleData
    {
        public DateTime Date { get; set; }
        public int Value { get; set; }
    }
}
